## tmux 2.3

=== debian/changelog ===
tmux (2.3-4ubuntu1) zesty; urgency=medium

  * Apply fix to handle ENODEV on ttyname() (LP: #1669578)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 04 Apr 2017 16:52:17 -0400

tmux (2.3-4) unstable; urgency=medium

  * Cherry pick one additional fix from upstream Git:
    + c2f88373e7: store the right size in the pipe offset for pipe-pane

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 23 Oct 2016 12:48:32 +0200

tmux (2.3-3) unstable; urgency=medium

  * Cherry-pick fixes from upstream Git:
    + 4160df4ca4: redraw selection when redrawing whole pane
    + e0add119ea: do not draw pane status if pane is not visible

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 14 Oct 2016 22:04:41 +0200

tmux (2.3-2) unstable; urgency=low

  * Cherry-pick fixes from upstream Git:
    + 30086e504c: remove wrong optimization in screen_write_copy
    + 44449b305b: don't crash on long prompts in window_copy_write_line
    + 48dd250af1: handle NULL window or session for user options
    + 1db6d6fea6: pass file/line to new if-shell commands
    + b8f2dd8237: fix redraw of pane status lines

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 09 Oct 2016 19:44:35 +0200

tmux (2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 01 Oct 2016 12:00:58 +0200

tmux (2.3~git20160916-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 895f1d93d5.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 16 Sep 2016 19:22:25 +0200

tmux (2.3~git20160903-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 999c1c771b.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 03 Sep 2016 16:16:49 +0200

tmux (2.3~git20160707-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 2d843b5021.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 07 Jul 2016 19:29:50 +0200

tmux (2.3~git20160529-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 7a2fed494b.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 29 May 2016 19:42:51 +0200

tmux (2.3~git20160512-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 6cb74f4b7d (closes: #823527).

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 12 May 2016 19:36:29 +0200

tmux (2.3~git20160506-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit fe4e9470bb.
  * Bump Standards-Version to 3.9.8.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 06 May 2016 17:20:30 +0200

tmux (2.2-3) unstable; urgency=medium

  * Cherry-pick commit 7411f21c5f from upstream to restore the correct
    libevent configuration (2.2 regression).

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 02 Jun 2016 20:09:38 +0200

tmux (2.2-2) unstable; urgency=medium

  * Cherry-pick commit 373b13b240 from upstream to fix window flags with
    `monitor-activity' enabled (closes: #823527).

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 12 May 2016 19:50:13 +0200

=== debian/control ===
Source: tmux
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: debhelper (>= 8.9.4~),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               libevent-dev (>> 2.0.10),
               libncurses5-dev,
               libutempter-dev,
               pkg-config
Standards-Version: 3.9.8
Homepage: https://tmux.github.io/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tmux.git/
Vcs-Git: git://anonscm.debian.org/collab-maint/tmux.git

Package: tmux
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: terminal multiplexer
 tmux enables a number of terminals (or windows) to be accessed and
 controlled from a single terminal like screen. tmux runs as a
 server-client system. A server is created automatically when necessary
 and holds a number of sessions, each of which may have a number of
 windows linked to it. Any number of clients may connect to a session,
 or the server may be controlled by issuing commands with tmux.
 Communication takes place through a socket, by default placed in /tmp.
 Moreover tmux provides a consistent and well-documented command
 interface, with the same syntax whether used interactively, as a key
 binding, or from the shell. It offers a choice of vim or Emacs key
 layouts.

## tmux 2.4~git20170318

=== debian/changelog ===
tmux (2.4~git20170318-1.1) stretch; urgency=medium

  * antiX-17 build (stretch) 

 -- anticapitalista <antix@operamail.com>  Sat, 08 Apr 2017 12:18:44 +0300

tmux (2.4~git20170318-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 4eec3270ec.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 18 Mar 2017 12:08:11 +0100

tmux (2.4~git20170311-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 266e662fae.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 11 Mar 2017 18:20:02 +0100

tmux (2.4~git20170226-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 14dc2acc25.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 26 Feb 2017 15:50:55 +0100

tmux (2.4~git20170211-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit c75cced07d.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 11 Feb 2017 17:40:00 +0100

tmux (2.4~git20170115-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 4f077fe62c.
    + Shell globs are now supported in source-file (closes: #629620).
  * Explicitly enable utempter support.
  * Adjust to lintian override rename, add new override for debian/watch
    signature check (upstream doesn't provide signatures).
  * Switch Vcs-Git URL to the https one.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 15 Jan 2017 12:28:55 +0100

tmux (2.4~git20161210-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit a64b7cfe5d.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 10 Dec 2016 11:00:03 +0100

tmux (2.4~git20161126-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 2864a31311.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 26 Nov 2016 17:15:56 +0100

tmux (2.4~git20161101-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 5da94182ae.
  * tmux requires a UTF-8 locale to be used, so add dependency on locales
    to make this more explicit (closes: #841755).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 01 Nov 2016 16:10:55 +0100

tmux (2.4~git20161023-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 5f9ba2f223.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 23 Oct 2016 17:59:34 +0200

tmux (2.4~git20161016-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 3d8efdf310.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 16 Oct 2016 17:57:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tmux
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Maintainer: Romain Francoise <rfrancoise@debian.org>
 Build-Depends: debhelper (>= 8.9.4~),
                dh-autoreconf,
                dpkg-dev (>= 1.16.1~),
@@ -13,12 +12,13 @@
 Standards-Version: 3.9.8
 Homepage: https://tmux.github.io/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tmux.git/
-Vcs-Git: git://anonscm.debian.org/collab-maint/tmux.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/tmux.git
 
 Package: tmux
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
+Depends: locales,
+         ${misc:Depends},
          ${shlibs:Depends}
 Description: terminal multiplexer
  tmux enables a number of terminals (or windows) to be accessed and

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-utempter

## tmux 2.5

=== debian/changelog ===
tmux (2.5-3build1) artful; urgency=medium

  * No-change rebuild against libevent-2.1-6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jul 2017 02:53:42 +0000

tmux (2.5-3) unstable; urgency=medium

  * Cherry-pick commit 42285ac989 from upstream to try C.UTF-8 in addition
    to en_US.UTF-8 at startup, and drop dependency on locales added in
    2.4~git20161101-1 (see #841755).
  * Bump Standards-Version to 4.0.0.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 08 Jul 2017 16:36:41 +0200

tmux (2.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 18 Jun 2017 10:59:40 +0200

tmux (2.5-1) experimental; urgency=medium

  * New upstream release (no changes compared to RC2).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 30 May 2017 22:24:21 +0200

tmux (2.5~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 13 May 2017 17:00:34 +0200

tmux (2.4-1) experimental; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 20 Apr 2017 20:03:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tmux
 Section: admin
 Priority: optional
-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
 Build-Depends: debhelper (>= 8.9.4~),
                dh-autoreconf,
                dpkg-dev (>= 1.16.1~),
@@ -9,7 +10,7 @@
                libncurses5-dev,
                libutempter-dev,
                pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://tmux.github.io/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tmux.git/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/tmux.git
@@ -17,8 +18,7 @@
 Package: tmux
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: locales,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: terminal multiplexer
  tmux enables a number of terminals (or windows) to be accessed and

## tmux 2.6

=== debian/changelog ===
tmux (2.6-3ubuntu0.3) bionic-security; urgency=medium

  * SECURITY UPDATE: Null dereference
    - debian/patches/CVE-2022-47016.patch: adds checks for NULL
      returns from bufferevent_new in window.c.
    - CVE-2022-47016

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 31 Jan 2023 11:04:01 -0300

tmux (2.6-3ubuntu0.2) bionic; urgency=medium

  * d/p/tmux-format_expand-leak.patch: Do not leak memory when working out job
    name in formats.  (LP: #1835439)
  * Update maintainer to reflect Ubuntu delta.

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 04 Jul 2019 15:45:07 -0400

tmux (2.6-3ubuntu0.1) bionic; urgency=medium

  * d/p/tmux-pane-border-status-leak.patch: Fixed memory leak in
    screen_redraw_make_pane_status (upstream fix). (LP: #1766942)

 -- Karl Stenerud <karl.stenerud@canonical.com>  Mon, 29 Oct 2018 19:33:11 +0100

tmux (2.6-3) unstable; urgency=medium

  * Use new URLs on salsa.debian.org for Vcs-* fields.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 31 Dec 2017 15:34:49 +0100

tmux (2.6-2) unstable; urgency=medium

  * debian/docs: Remove FAQ, no longer shipped upstream (closes: #883117).
  * Bump Standards-Version to 4.1.2.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 31 Dec 2017 13:38:35 +0100

tmux (2.6-1) unstable; urgency=medium

  * New upstream release (with a single fix compared to RC3).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 06 Oct 2017 19:07:13 +0200

tmux (2.6~rc3-1) unstable; urgency=medium

  * New upstream release candidate (closes: #875444).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 11 Sep 2017 19:17:12 +0200

tmux (2.6~rc2-1) unstable; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.1.0.
  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 10 Sep 2017 21:33:18 +0200

tmux (2.6~git20170902-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit e941e532fa and roughly
    equivalent to 2.6-rc1 (closes: #865756).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 02 Sep 2017 10:24:23 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                libncurses5-dev,
                libutempter-dev,
                pkg-config
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: https://tmux.github.io/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tmux.git/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/tmux.git
+Vcs-Browser: https://salsa.debian.org/rfrancoise/tmux
+Vcs-Git: https://salsa.debian.org/rfrancoise/tmux.git
 
 Package: tmux
 Architecture: any

=== debian/watch ===
version=3
https://github.com/tmux/tmux/releases /tmux/tmux/releases/download/.+/tmux-(.+).tar.gz debian uupdate

## tmux 2.7

=== debian/changelog ===
tmux (2.7-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 28 Apr 2018 18:28:16 +0200

tmux (2.7-1) unstable; urgency=medium

  * New upstream release (identical to 8a81993ae1).
  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 13 Apr 2018 23:48:11 +0200

tmux (2.7~git20180331-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 8a81993ae1.
  * Switch to debhelper compatibility level 11.
  * Bump Standards-Version to 4.1.3.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 31 Mar 2018 21:47:17 +0200

tmux (2.6-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 07 Jan 2018 13:39:54 +0100

tmux (2.6-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * debian/docs: Remove FAQ, no longer shipped upstream (closes: #883117).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 31 Dec 2017 13:11:54 +0100

tmux (2.5-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 01 Jul 2017 12:32:02 +0200

## tmux 2.8

=== debian/changelog ===
tmux (2.8-3) unstable; urgency=medium

  * Merge GNU/kFreeBSD changes from James Clarke (via upstream).
  * Bump Standards-Version to 4.3.0.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 10 Feb 2019 17:14:02 +0100

tmux (2.8-2) unstable; urgency=medium

  * Cherry-pick commit 3a7b9d5735 from upstream to fix handling of PWD
    when it doesn't match the actual working directory (closes: #914816).
  * Stop overriding 'package-lacks-versioned-build-depends-on-debhelper 9'.
  * Bump Standards-Version to 4.2.1.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 01 Dec 2018 22:16:15 +0100

tmux (2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 18 Oct 2018 22:10:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: tmux
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
-Build-Depends: debhelper (>= 8.9.4~),
-               dh-autoreconf,
+Maintainer: Romain Francoise <rfrancoise@debian.org>
+Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.16.1~),
                libevent-dev (>> 2.0.10),
                libncurses5-dev,
                libutempter-dev,
+               libutil-freebsd-dev [kfreebsd-any],
                pkg-config
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0
 Homepage: https://tmux.github.io/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/tmux
 Vcs-Git: https://salsa.debian.org/rfrancoise/tmux.git

## tmux 2.9a

=== debian/changelog ===
tmux (2.9a-3build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:14:34 +0000

tmux (2.9a-3) unstable; urgency=medium

  * Cherry-pick commit 26f274011096 from upstream to fix issues with
    horizontal splits in xterm 348.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 05 Aug 2019 12:50:34 +0200

tmux (2.9a-2) unstable; urgency=medium

  * Cherry-pick commit 38b8a198bac6 from upstream to fix server crash with
    some layouts.
  * Bump Standards-Version to 4.4.0.
  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 12 Jul 2019 23:10:46 +0200

tmux (2.9a-1) experimental; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 03 May 2019 22:12:30 +0200

tmux (2.9-1) experimental; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 25 Apr 2019 13:25:25 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libutempter-dev,
                libutil-freebsd-dev [kfreebsd-any],
                pkg-config
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://tmux.github.io/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/tmux
 Vcs-Git: https://salsa.debian.org/rfrancoise/tmux.git

## tmux 3.0~rc4

=== debian/changelog ===
tmux (3.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 01 Aug 2019 22:14:18 +0200

tmux (3.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate (from 3.0-rc branch, commit 5a501a8ae2).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 13 Jul 2019 11:57:41 +0200

## tmux 3.0a

=== debian/changelog ===
tmux (3.0a-2ubuntu0.4) focal-security; urgency=medium

  * SECURITY UPDATE: Null dereference
    - debian/patches/CVE-2022-47016.patch: adds checks for NULL
      returns from bufferevent_new in window.c.
    - CVE-2022-47016

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 31 Jan 2023 10:55:07 -0300

tmux (3.0a-2ubuntu0.3) focal; urgency=medium

  * Fix "tmux sessions do not show up with who, users, etc" (LP: #1890406)
    - d/p/add-utempter-code.patch:
      Cherry-pick commit 54efe33 from upstream to add back utempter code to
      avoid users in tmux sessions not being accounted by the system.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 22 Apr 2021 16:39:18 -0300

tmux (3.0a-2ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: Stack buffer overflow
    - debian/patches/CVE-2020-27347.patch: avoid writes after the end
      of array and the stack when colon-separated SGR sequences contain
      empty arguments in input.c.
    - CVE-2020-27347

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 04 Nov 2020 11:20:27 -0300

tmux (3.0a-2ubuntu0.1) focal; urgency=medium

  * Fix "regression: splitting panes does not cause a resize in
    backgrounded tmux" (LP: #1875109)
    - d/p/limit-lazy-resize-to-panes-in-attached-sessions-only.patch:
      New patch to limit the "lazy resize" to panes in attached sessions
      only.  The panes in unattached sessions are resized immediately.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 20 May 2020 07:53:46 -0400

tmux (3.0a-2) unstable; urgency=medium

  * Minor packaging fixes courtesy of the Janitor bot and lintian-brush:
    + Set debhelper-compat version in Build-Depends.
    + Update renamed lintian tag names in lintian overrides.
    + Set upstream metadata fields: Name (from ./configure), Repository,
      Repository-Browse.
    + Set upstream metadata fields: Bug-Database.
  * Switch to debhelper compatibility level 12.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 31 Dec 2019 19:45:11 +0100

tmux (3.0a-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 03 Dec 2019 21:49:28 +0100

tmux (3.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.
  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 26 Nov 2019 22:35:52 +0100

tmux (3.0~rc5-2) experimental; urgency=medium

  * Add Build-Depends on bison (closes: #943648).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 27 Oct 2019 19:36:11 +0100

tmux (3.0~rc5-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 06 Oct 2019 18:18:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: tmux
 Section: admin
 Priority: optional
-Maintainer: Romain Francoise <rfrancoise@debian.org>
-Build-Depends: debhelper (>= 11~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Build-Depends: bison,
+               debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1~),
                libevent-dev (>> 2.0.10),
                libncurses5-dev,
                libutempter-dev,
                libutil-freebsd-dev [kfreebsd-any],
                pkg-config
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://tmux.github.io/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/tmux
 Vcs-Git: https://salsa.debian.org/rfrancoise/tmux.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-utempter

## tmux 3.1b

=== debian/changelog ===
tmux (3.1b-1ubuntu0.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Stack buffer overflow
    - debian/patches/CVE-2020-27347.patch: avoid writes after the end
      of array and the stack when colon-separated SGR sequences contain
      empty arguments in input.c.
    - CVE-2020-27347

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 04 Nov 2020 11:56:11 -0300

tmux (3.1b-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Clarify 3.1~rc1-1 NEWS entry about protocol change (closes: #959698).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 04 May 2020 19:18:57 +0200

tmux (3.1a-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Cherry-pick commit 6a33a12798 from the upcoming 3.1b bugfix release.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 02 May 2020 14:37:43 +0200

tmux (3.1-1) unstable; urgency=medium

  * New upstream release (with no code changes compared to RC4).
  * debian/rules: Remove LDFLAGS settings for --as-needed, no longer
    required in bullseye.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 26 Apr 2020 21:14:52 +0200

tmux (3.1~rc4-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 12 Apr 2020 19:53:23 +0200

tmux (3.1~rc3-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 23 Mar 2020 19:47:56 +0100

tmux (3.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 15 Mar 2020 18:49:41 +0100

tmux (3.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.5.0.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 11 Feb 2020 21:07:09 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libutempter-dev,
                libutil-freebsd-dev [kfreebsd-any],
                pkg-config
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://tmux.github.io/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/tmux
 Vcs-Git: https://salsa.debian.org/rfrancoise/tmux.git

## tmux 3.1c

=== debian/changelog ===
tmux (3.1c-1+deb11u1) bullseye; urgency=medium

  * Cherry-pick commit 7a4aa14618 from upstream to fix a race condition
    which results in the config not being loaded if several clients are
    interacting with the server while it's initializing (upstream GitHub
    issue #2438, closes: #992202).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 18 Sep 2021 15:02:56 +0200

tmux (3.1c-1) unstable; urgency=medium

  * New upstream release.
  * Drop security fix patch included upstream.
  * Set upstream metadata fields: Bug-Submit.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 01 Nov 2020 13:45:43 +0100

tmux (3.1b-2) unstable; urgency=high

  * Cherry-pick upstream commit a868bacb46 to fix a stack overflow in CSI
    parsing (corresponding to OpenBSD 6.8 errata 003).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 30 Oct 2020 12:39:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tmux
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Maintainer: Romain Francoise <rfrancoise@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1~),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-utempter

## tmux 3.2a

=== debian/changelog ===
tmux (3.2a-4ubuntu0.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Null dereference
    - debian/patches/CVE-2022-47016.patch: adds checks for NULL
      returns from bufferevent_new in control.c, file.c, window.c.
    - CVE-2022-47016

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 31 Jan 2023 10:27:15 -0300

tmux (3.2a-4ubuntu0.1) jammy; urgency=medium

  * d/p/lp1976110-respect-sizing.diff: Add patch to only
    use client for sizing when not detached. (LP: #1976110)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 23 Nov 2022 17:40:50 +0530

tmux (3.2a-4build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:52:30 +0100

tmux (3.2a-4) unstable; urgency=medium

  * Cherry-pick commit b1a8c0fe022e from upstream to fix cross-compilation
    (closes: #992949).
  * Switch to debhelper compat level 13.
  * Update watch file to version 4; no changes.
  * Set `Rules-Requires-Root' to "no".
  * Bump Standards-Version to 4.6.0.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 12 Sep 2021 00:18:18 +0200

tmux (3.2a-3) unstable; urgency=medium

  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 15 Aug 2021 12:43:08 +0200

tmux (3.2a-2) experimental; urgency=medium

  * Cherry-pick upstream commit 32f2d9d089ce (closes: #990215).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 10 Jul 2021 19:16:19 +0200

tmux (3.2a-1) experimental; urgency=medium

  * New upstream release.
  * Remove obsolete debian/maintscript stanza, thanks to the Janitor bot.
  * Add basic autopkgtest test suite, thanks to Athos Ribeiro (LP: #1679410).

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 10 Jun 2021 12:10:55 +0200

tmux (3.2~rc4-1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.5.1.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 04 Mar 2021 20:14:01 +0100

tmux (3.2~rc3-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 08 Nov 2020 21:37:02 +0100

tmux (3.2~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * The specified target window for 'new-window -t' no longer needs to
    exist, reverting to pre-3.0 behavior (closes: #944778).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 24 Jul 2020 13:22:01 +0200

tmux (3.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 24 Jun 2020 11:04:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: tmux
 Section: admin
 Priority: optional
-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
 Build-Depends: bison,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
                libevent-dev (>> 2.0.10),
                libncurses5-dev,
                libutempter-dev,
                libutil-freebsd-dev [kfreebsd-any],
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://tmux.github.io/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/tmux
 Vcs-Git: https://salsa.debian.org/rfrancoise/tmux.git

## tmux 3.3

=== debian/changelog ===
tmux (3.3-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 08 Jun 2022 21:49:12 +0200

tmux (3.3-2) unstable; urgency=medium

  * Cherry-pick fixes from upstream Git:
    + 0f6227f46b: don't silently delete or rename the most recent buffer
    + 18838fbc87: fix crash when using `run-shell' in config file
    + 3edda3c5e7: do not unintentionally turn off all mouse mode
  * Remove obsolete field Name from debian/upstream/metadata.
  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 04 Jun 2022 17:08:29 +0200

tmux (3.3-1) experimental; urgency=medium

  * New upstream release, fixes size setting when detached (LP: #1976110).
  * Drop all upstream patches.
  * Bump Standards-Version to 4.6.1.
  * debian/watch: Mangle Debian version rather than upstream's.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 01 Jun 2022 22:40:47 +0200

tmux (3.3~rc1-2) experimental; urgency=medium

  * Add my own patch from GitHub PR #2899 to fix cross-compilation again.
  * debian/watch: Add mangle rules to correctly handle -rc releases (which
    we number -rc1 in Debian).
  * Set branch to `experimental' in Vcs-Git.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 19 Sep 2021 12:50:47 +0200

tmux (3.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate (3.3-rc).
  * Update debian/copyright (closes: #904407).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 18 Sep 2021 12:35:01 +0200

tmux (3.2a-4~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 18 Sep 2021 10:26:57 +0200

tmux (3.2a-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 22 Aug 2021 12:38:13 +0200

## tmux 3.3a

=== debian/changelog ===
tmux (3.3a-1ubuntu0.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: Null dereference
    - debian/patches/CVE-2022-47016.patch: adds checks for NULL
      returns from bufferevent_new in control.c, file.c, window.c.
    - CVE-2022-47016

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 31 Jan 2023 09:51:21 -0300

tmux (3.3a-1build1) kinetic; urgency=medium

  * No-change rebuild against libevent-core-2.1-7a

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Oct 2022 21:23:49 +0000

tmux (3.3a-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 09 Jun 2022 20:04:26 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libutempter-dev,
                libutil-freebsd-dev [kfreebsd-any],
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://tmux.github.io/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/tmux

=== debian/watch ===
version=4
opts="dversionmangle=s/~rc/-rc/;s/-rc1$/-rc/" \
      https://github.com/tmux/tmux/releases \
      /tmux/tmux/releases/download/.+/tmux-(.+).tar.gz debian uupdate

## tmux 3.4

=== debian/changelog ===
tmux (3.4-1ubuntu0.1) noble; urgency=medium

  * d/p/lp-2068393-fix-sixel-invalid-colour-register.patch: Fix SIXEL invalid
    colour register crash and remove SIXEL images before reflow (LP: #2068393).

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 10 Jul 2024 14:57:26 -0700

tmux (3.4-1build1) noble; urgency=medium

  * No-change rebuild for libevent t64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Apr 2024 10:15:05 +0200

tmux (3.4-1) unstable; urgency=low

  * New upstream release (closes: #1063838).
    + Fixes crash when pasting into dead panes (closes: #1063237).
  * Import packaging from experimental, enabling support for Sixel,
    systemd integration, and management of /etc/shells using dpkg
    triggers.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 13 Feb 2024 18:42:59 +0100

tmux (3.4~git20240106-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit e809c2ec35.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 06 Jan 2024 16:55:56 +0100

tmux (3.4~git20230924-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit b777780720.
  * Enable Sixel support.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 24 Sep 2023 13:12:42 +0200

tmux (3.4~git20230722-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit fda3937734.
  * Apply changes by Helmut Grohne <helmut@subdivi.de> to manage
    /etc/shells using dpkg triggers (closes: #1023315), avoiding
    issues related to remove/reinstall cycles (closes: #939889).
  * Drop now-obsolete debian/preinst.
  * Silence lintian warning about Tg macro, which is from mandoc
    1.14.6 and is not a typo.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 22 Jul 2023 23:22:31 +0200

tmux (3.4~git20230617-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit f41c536ff3.
  * Enable systemd integration (for socket activation and cgroups support).
  * Build-depend on libncurses-dev, not libncurses5-dev.
  * Bump Standards-Version to 4.6.2.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 17 Jun 2023 12:11:52 +0200

tmux (3.3a-5) unstable; urgency=medium

  * Fix backport of commit bf636d9575 which breaks OSC 52 clipboard
    access, with thanks to Claudio Leite (LP: #2040080).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 22 Oct 2023 16:34:17 +0200

tmux (3.3a-4) unstable; urgency=medium

  * Backport upstream changes related to ncurses tparm handling.
    With thanks to Sven Joachim <svenjoac@gmx.de>, who had independently
    also worked on this backport (closes: #1038269).
  * Build-depend on libncurses-dev, not libncurses5-dev.
  * Bump Standards-Version to 4.6.2.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 17 Jun 2023 17:08:17 +0200

tmux (3.3a-3) unstable; urgency=medium

  * debian/source/lintian-overrides: Update renamed lintian tag names in
    lintian overrides.
  * debian/copyright: Update copyright year.
  * debian/watch: use Github tags page instead of releases.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 31 Oct 2022 17:55:13 +0100

tmux (3.3a-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Cherry-pick commit 19344efa78 from upstream to fix the fallback
    implementation of getpeereid() (used on Hurd).
  * Drop the local defines for MAXPATHLEN & MAXHOSTNAMELEN for platforms that
    do not have them (i.e. Hurd), as they are not used anymore in generic code.

  [ Gioele Barabucci ]
  * debian/postinst: Remove test for ancient version.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 29 Aug 2022 22:53:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,15 @@
 XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 13),
+               debianutils (>= 5.3-1~),
                dpkg-dev (>= 1.16.1~),
                libevent-dev (>> 2.0.10),
-               libncurses5-dev,
+               libncurses-dev | libncurses5-dev,
+               libsystemd-dev,
                libutempter-dev,
                libutil-freebsd-dev [kfreebsd-any],
                pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://tmux.github.io/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/tmux

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-utempter --enable-systemd --enable-sixel

execute_after_dh_auto_install:
	install -D -m 644 debian/shells \
		$(CURDIR)/debian/tmux/usr/share/debianutils/shells.d/tmux

=== debian/tests/control ===
Tests: smoketest, utmp
Depends: @

## tmux 3.5

=== debian/changelog ===
tmux (3.5-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sun, 29 Sep 2024 19:27:47 +0300

tmux (3.5-1) unstable; urgency=low

  * New upstream release.
  * Merge packaging changes from experimental.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 28 Sep 2024 11:19:20 +0200

tmux (3.5~git20240823-2) experimental; urgency=medium

  * Cherry-pick commit 6e9a914014 on top of previous snapshot to fix
    broken layout key bindings.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 23 Aug 2024 15:15:58 +0200

tmux (3.5~git20240823-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 7990e5fa8f.
  * Set branch to `experimental' in Vcs-Git.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 23 Aug 2024 10:10:36 +0200

tmux (3.5~git20240720-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 3c2621b41b.
  * Build with jemalloc memory allocator on Linux architectures.
  * Add new autopkgtest checking that tmux is built against jemalloc.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 20 Jul 2024 10:55:10 +0200

tmux (3.4-8) unstable; urgency=medium

  * Cherry-pick commit 2ac0faf119 from upstream.
  * Add missing Origin field to db1665868f patch.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 23 Aug 2024 16:05:05 +0200

tmux (3.4-7) unstable; urgency=medium

  * Cherry-pick commit db1665868f from upstream to fix memory usage of
    grid data (closes: #1073981).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 24 Jun 2024 21:03:23 +0200

tmux (3.4-6) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Drop kfreebsd-* specific build-depends, the ports have been removed.

  [ Romain Francoise ]
  * Drop kFreeBSD-specific parts of debian/patches/platform-quirks.diff.
  * Cherry-pick commit 692ce59bce to fix wrong escaping of '$'.
  * Add more patch metadata to upstream patches.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 09 Jun 2024 13:08:36 +0200

tmux (3.4-5) unstable; urgency=medium

  * Cherry-pick more upstream fixes:
    + 3823fa2c57: start systemd scope with SendSIGHUP=yes to prevent hang
      on system shutdown.
    + 424f13fe13: don't crash server when calling switch-client from
      pane-died hook.
  * Revert upstream commit 43e5e80343 which breaks search of wrapped lines.
  * Version build-dependency on libncurses-dev to ensure we pick up updated
    symbol versions for ncurses 6.5.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 09 May 2024 17:43:16 +0200

tmux (3.4-4) unstable; urgency=medium

  * Add tmpfiles.d configuration file to prevent automatic removal of tmux
    user directories under /tmp (closes: #1070724).
  * Update metadata on upstream patches.
  * Bump Standards-Version to 4.7.0.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 08 May 2024 18:46:48 +0200

tmux (3.4-3) unstable; urgency=medium

  * Cherry-pick commit aa17f0e0c1 from upstream to fix crash on invalid
    Sixel input.
  * Re-enable Sixel support.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 23 Mar 2024 17:07:31 +0100

tmux (3.4-2) unstable; urgency=medium

  [ Sven Joachim ]
  * Only enable systemd support on Linux architectures.

  [ Romain Francoise ]
  * Disable Sixel support for now due to possible server crash on invalid
    input (GitHub issue #3839).
  * Cherry-pick commit bd29a48b56 from upstream to fix split-window -p
    flag confusion.
  * Cherry-pick changes from upstream PR #3860 fixing a use-after-free
    when manipulating zoomed windows.
  * Drop obsolete build-depends (lintian warning).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 09 Mar 2024 12:16:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: tmux
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Maintainer: Romain Francoise <rfrancoise@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 13),
                debianutils (>= 5.3-1~),
                dpkg-dev (>= 1.16.1~),
                libevent-dev (>> 2.0.10),
-               libncurses-dev | libncurses5-dev,
-               libsystemd-dev,
+               libjemalloc-dev,
+               libncurses-dev (>> 6.5),
                libutempter-dev,
-               libutil-freebsd-dev [kfreebsd-any],
-               pkg-config
-Standards-Version: 4.6.2
+               pkgconf
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://tmux.github.io/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/tmux

## tmux 3.5a

=== debian/changelog ===
tmux (3.5a-3build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:37:01 +0000

tmux (3.5a-3) unstable; urgency=medium

  [ Kirill Rekhov ]
  * d/u/metadata: add 'Documentation' field and update d/control
    'Homepage' link field.

  [ Romain Francoise ]
  * Update Vcs-* fields to point to new location in the Debian group on Salsa.
  * Transfer ownership to Sebastien Delafond, who has kindly accepted to
    maintain tmux from now on.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 07 Feb 2025 18:25:06 +0100

tmux (3.5a-2) unstable; urgency=medium

  * Cherry-pick commit 934035db71 from upstream.
  * Stop building with utempter support (closes: #1084952).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 15 Oct 2024 22:09:35 +0200

tmux (3.5a-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 05 Oct 2024 10:36:25 +0200

tmux (3.5-2) unstable; urgency=low

  * Include upstream regression fixes from the `tmux-3.5a' hotfix branch.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 04 Oct 2024 22:25:21 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifeq ($(DEB_HOST_ARCH_OS),linux)
enable_jemalloc = --enable-jemalloc
enable_systemd  = --enable-systemd
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --			\
		$(enable_jemalloc)		\
		--enable-sixel			\
		$(enable_systemd)

execute_after_dh_auto_install:
	install -D -m 644 debian/shells \
		$(CURDIR)/debian/tmux/usr/share/debianutils/shells.d/tmux

=== debian/tests/control ===
Tests: smoketest, jemalloc
Depends: @

=== debian/watch ===
version=4
opts="dversionmangle=s/~rc/-rc/;s/-rc1$/-rc/" \
      https://github.com/tmux/tmux/tags \
      /tmux/tmux/archive/refs/tags/(.+).tar.gz debian uupdate

## tmux 3.6a

=== debian/changelog ===
tmux (3.6a-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/copyright: remove references to obsolete files & licenses
  * d/NEWS: warn about server/client incompatibility starting with 3.6
    (Closes: #1121741)

 -- Sebastien Delafond <seb@debian.org>  Mon, 01 Dec 2025 16:48:06 +0100

tmux (3.6a-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Add d/gbp.conf
  * d/watch: v5
  * Bump up Standards-Version
  * d/gbp: use pristine-tar
  * d/gbp: use gz
  * d/watch: uversion mangle
  * New upstream version 3.6a
  * Rediff patches

 -- Sebastien Delafond <seb@debian.org>  Wed, 26 Nov 2025 16:50:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tmux
 Section: admin
 Priority: optional
-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 13),
                debianutils (>= 5.3-1~),
@@ -9,13 +9,13 @@
                libevent-dev (>> 2.0.10),
                libjemalloc-dev,
                libncurses-dev (>> 6.5),
-               libutempter-dev,
+               libsystemd-dev [linux-any],
                pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://tmux.github.io/
-Vcs-Browser: https://salsa.debian.org/rfrancoise/tmux
-Vcs-Git: https://salsa.debian.org/rfrancoise/tmux.git
+Homepage: https://github.com/tmux/tmux/wiki
+Vcs-Browser: https://salsa.debian.org/debian/tmux
+Vcs-Git: https://salsa.debian.org/debian/tmux.git
 
 Package: tmux
 Architecture: any

=== debian/watch ===
Version: 5
Template: Github
Owner: tmux
Project: tmux
Uversion-Mangle: s/$/a/
Dversion-Mangle: s/~rc/-rc/ ; s/-rc1$/-rc/

## tmux utils-0.1.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.7
# To update, run:
#
#    "make update-requirements"
#
bugyi.lib==0.8.0
    # via
    #   pylogutils
    #   python-clap
colorama==0.4.4
    # via pylogutils
importlib-metadata==4.8.2
    # via python-clap
pydantic==1.8.2
    # via
    #   -r requirements.in
    #   pylogutils
    #   python-clap
pylogutils==0.1.4
    # via
    #   -r requirements.in
    #   python-clap
python-clap==0.2.2
    # via -r requirements.in
python-dateutil==2.8.2
    # via bugyi.lib
python-result==0.2.1
    # via bugyi.lib
six==1.16.0
    # via python-dateutil
structlog==21.4.0
    # via pylogutils
typing-extensions==4.0.1
    # via
    #   bugyi.lib
    #   importlib-metadata
    #   pydantic
    #   structlog
zipp==3.6.0
    # via importlib-metadata

## tmux utils-0.1.1

=== requirements.txt ===
--- 
+++ 
@@ -4,8 +4,9 @@
 #
 #    "make update-requirements"
 #
-bugyi.lib==0.8.0
+bugyi.lib==0.9.0
     # via
+    #   -r requirements.in
     #   pylogutils
     #   python-clap
 colorama==0.4.4
